/***************************************************************************
                          dlgoptiongeneral.cpp
                          -------------------
    description          : General Options Dialog Class
    begin                : Thu Oct 7 1999
    copyright            : (C) 1999 by Stephan Uhlmann
    email                : suhlmann@gmx.de
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   * 
 *                                                                         *
 ***************************************************************************/

#include "dlgoptiongeneral.h"

DlgOptionGeneral::DlgOptionGeneral(QWidget *parent, const char *name) : QDialog(parent,name,true){
	initDialog();
//    separator_LineEdit->setText(separator);
}

DlgOptionGeneral::~DlgOptionGeneral(){
}

bool DlgOptionGeneral::getKeepLastInput(){
 return keepLastInput_CheckBox->isChecked();
}

void DlgOptionGeneral::setKeepLastInput(bool b){
 return keepLastInput_CheckBox->setChecked(b);
}

bool DlgOptionGeneral::getAutoReconnect(){
 return autoReconnect_CheckBox->isChecked();
}

void DlgOptionGeneral::setAutoReconnect(bool b){
 return autoReconnect_CheckBox->setChecked(b);
}

QString DlgOptionGeneral::getSeparator() {
    separator = separator_LineEdit->text();
    return separator;
}

void DlgOptionGeneral::setSeparator(QString s) {
    separator = s;
    separator_LineEdit->setText(s);
}

bool DlgOptionGeneral::getUseBeep() {
    return useBeep_CheckBox->isChecked();
}

void DlgOptionGeneral::setUseBeep(bool u) {
    return useBeep_CheckBox->setChecked(u);
}