/***************************************************************************
                          dlgreconnect.h
                      -------------------
    description          :
    begin                : Fri Oct 29 1999                                           
    copyright            : (C) 1999 by Stephan Uhlmann                         
    email                : suhlmann@gmx.de                                     
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   * 
 *                                                                         *
 ***************************************************************************/

/***************************************************************************
                          dlgreconnect.h
                      -------------------
    description          :
    begin                : Sun Oct 24 1999                                           
    copyright            : (C) 1999 by Stephan Uhlmann                         
    email                : suhlmann@gmx.de                                     
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   * 
 *                                                                         *
 ***************************************************************************/


#ifndef DLGRECONNECT_H
#define DLGRECONNECT_H

//Generated area. DO NOT EDIT!!!(begin)
#include <qwidget.h>
#include <qpushbutton.h>
#include <qlabel.h>
//Generated area. DO NOT EDIT!!!(end)
#include <qtimer.h>

#include <qdialog.h>

/**
  *@author Stephan Uhlmann
  */

class DlgReconnect : public QDialog  {
   Q_OBJECT
public: 
	DlgReconnect(QWidget *parent=0, const char *name=0);
	~DlgReconnect();

protected: 
	void initDialog();
	//Generated area. DO NOT EDIT!!!(begin)
	QPushButton *cmdReconnect;
	QPushButton *cmdCancel;
	QLabel *lblMessage1;
	QLabel *QLabel_3;
	QLabel *QLabel_4;
	//Generated area. DO NOT EDIT!!!(end)

public slots: // Public slots
  /** This slot is called when the reconnect button is pressed */
  void slotReconnectPressed();
	/** This slot is called when the cancel button is pressed */
	void slotCancelPressed();
	/** This slot is called to up date the seconds count on the dialog */
	void slotTimerDone();
private:
	QTimer *timer;
	int    seconds;
};

#endif



